Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDTIMEUNITvalues

java.lang.Object
java.lang.Enum<CDTIMEUNITvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDTIMEUNITvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDTIMEUNITvalues>`, `java.lang.constant.Constable`

public enum CDTIMEUNITvalues extends Enum<CDTIMEUNITvalues>

Java class for CD-TIMEUNITvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TIMEUNITvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="a"/>
         <enumeration value="mo"/>
         <enumeration value="wk"/>
         <enumeration value="d"/>
         <enumeration value="hr"/>
         <enumeration value="min"/>
         <enumeration value="s"/>
         <enumeration value="ms"/>
         <enumeration value="us"/>
         <enumeration value="ns"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `A`
  `D`
  `HR`
  `MIN`
  `MO`
  `MS`
  `NS`
  `S`
  `US`
  `WK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDTIMEUNITvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDTIMEUNITvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDTIMEUNITvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### A

    public static final CDTIMEUNITvalues A

  - ### MO

    public static final CDTIMEUNITvalues MO

  - ### WK

    public static final CDTIMEUNITvalues WK

  - ### D

    public static final CDTIMEUNITvalues D

  - ### HR

    public static final CDTIMEUNITvalues HR

  - ### MIN

    public static final CDTIMEUNITvalues MIN

  - ### S

    public static final CDTIMEUNITvalues S

  - ### MS

    public static final CDTIMEUNITvalues MS

  - ### US

    public static final CDTIMEUNITvalues US

  - ### NS

    public static final CDTIMEUNITvalues NS

- ## Method Details

  - ### values

    public static CDTIMEUNITvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDTIMEUNITvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDTIMEUNITvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.